{#
 # -------------------------------------------------------------------------
 # gantt plugin for GLPI
 # -------------------------------------------------------------------------
 #
 # LICENSE
 #
 # This file is part of gantt.
 #
 # gantt is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # any later version.
 #
 # gantt is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with gantt. If not, see <http://www.gnu.org/licenses/>.
 # -------------------------------------------------------------------------
 # @copyright Copyright (C) 2013-2022 by gantt plugin team.
 # @license   GPLv2 https://www.gnu.org/licenses/gpl-2.0.html
 # @link      https://github.com/pluginsGLPI/gantt
 # -------------------------------------------------------------------------
 #}

<input type="hidden" id="hf_gantt_item_state" value="" />
<div id="gantt-container" class="gantt-block" style="width:100%; height:63vh;"></div>
<div class="gantt-block__features">
   <ul class="gantt-block__controls mt-3">
      <li class="gantt-menu-item gantt-menu-item-right">
         <a href="#" class="btn btn-outline-secondary btn-icon" onclick="gantt.ext.fullscreen.toggle();"
            title="{{ __('Fullscreen', 'gantt') }}" data-bs-toggle="tooltip">
            <i class="fas fa-expand"></i>
         </a>
      </li>

      <li class="gantt-menu-item gantt-menu-item-right">
         <div class="btn-group flex-wrap" role="group">
            <span class="btn bg-blue-lt pe-none" aria-disabled="true">
               <i class="fas fa-search-plus"></i>
               <span>{{ __('Zoom', 'gantt') }}</span>
            </span>

            <input type="radio" id="scale1" class="btn-check gantt_radio" name="scale" value="day" checked />
            <label class="btn btn-outline-secondary" for="scale1">{{ __('Days', 'gantt') }}</label>

            <input type="radio" id="scale2" class="btn-check gantt_radio" name="scale" value="week" />
            <label class="btn btn-outline-secondary" for="scale2">{{ __('Weeks', 'gantt') }}</label>

            <input type="radio" id="scale3" class="btn-check gantt_radio" name="scale" value="month" checked />
            <label class="btn btn-outline-secondary" for="scale3">{{ __('Months', 'gantt') }}</label>

            <input type="radio" id="scale4" class="btn-check gantt_radio" name="scale" value="quarter" />
            <label class="btn btn-outline-secondary" for="scale4">{{ __('Quarters', 'gantt') }}</label>

            <input type="radio" id="scale5" class="btn-check gantt_radio" name="scale" value="year" />
            <label class="btn btn-outline-secondary" for="scale5">{{ __('Years', 'gantt') }}</label>
         </div>

      </li>

      <li class="gantt-menu-item gantt-menu-item-right">
         <div class="input-group" role="group">
            <input type="radio" id="rb-find" class="btn-check rb-optype gantt_radio" name="rb-optype" checked />
            <label class="btn btn-outline-secondary" for="rb-find">
               <i class="fas fa-search"></i>
               <span>{{ __('Find', 'gantt') }}</span>
            </label>

            <input type="radio" id="rb-filter" class="btn-check rb-optype gantt_radio" name="rb-optype" />
            <label class="btn btn-outline-secondary" for="rb-filter">
               <i class="fas fa-filter"></i>
               <span>{{ __('Filter', 'gantt') }}</span>
            </label>

            <input id="search" data-text-filter type="field" placeholder="{{ __('by name', 'gantt') }}"
                   class="form-control"
                   oninput="gantt.$doFilter(this.value);" />
         </div>
      </li>
   </ul>
</div>

<script type="text/javascript">
$(function() {

   $(document).ajaxSend(function(event, request, settings) {
      if (settings.url.indexOf('gantt.php') != -1) {
         $('#gantt-loader, #gantt-loader-overlay').fadeIn('fast');
      }
   });

   $(document).ajaxStop(function (event, request, settings) {
      $('#gantt-loader, #gantt-loader-overlay').fadeOut('fast');
   });

   GlpiGantt.init("{{ id }}");

   $('.gantt-block').append('<div id="gantt-loader" class="spin-center"></div>');
   $('#page').append('<div id="gantt-loader-overlay" style="display: none;"></div>');

});
</script>
